チケット #24341

Allow POV joystick support for guitar/drums

登録: 2011-02-09 06:40 最終更新: 2011-04-03 05:30

報告者:
担当者:
チケットの種類:
状況:
完了
コンポーネント:
マイルストーン:
優先度:
5 - 中
重要度:
5 - 中
解決法:
修正済み
ファイル:
なし
投票
点数: 0
No votes
0.0% (0/0)
0.0% (0/0)

詳細

Unless this has been fixed already, DTXMania does not recognize the "POV hat" function on joysticks when mapping keys. Since the Guitar Hero and Rock Band guitars map the "pick" as a POV, this prevents them from working (without a 3rd party app like Joy2Key).

チケットの履歴 (21 件中 3 件表示)

2011-02-09 06:40 更新者: billkwando
  • 新しいチケット "Allow POV joystick support for guitar/drums" が作成されました
2011-02-09 23:20 更新者: yyagi
コメント

"POV hat" is not supported in DTXMania. It is specifications. But I don't know why. (I'll ask FROM-san about it)

# Please forget release memo in 070 temporally...it seems to say that DTXMania supports POV hat.

FROMさん

POD hat入力非サポートなのは何故でしたっけ?

2011-02-10 15:37 更新者: from
コメント

POD hat入力非サポートなのは何故でしたっけ?

角度に関する仕様が不明確だったためです。
うちにあるジョイパッドだと8方向だったり、フライトシミュレーターコントローラとかだと360方向になったりもする…らしいです。

なので、入力に対応するには、

  • 「角度指定」ではなく「角度範囲指定」にしなければだめっぽい?
  • 何方向まで許容するのか?

などの決定が必要で、……まぁ要するにめんどくさかったからです。はい。(汗

2011-02-10 21:33 更新者: None
コメント

Translation?

2011-02-11 02:03 更新者: yyagi
コメント

FROM said;

Why DTXMania don't support POV hat?

Because the POV specifications about the angle is not clear.
For exaple, I have a joypad which can handle only 8-ways. But I heard some devices like a flight simulator controllers can handle 360-degree-ways.

So, to suuport POV hat input, we have to consider that

  • To define the value "threshold degree" is nonsence. "degree-range" would be required.
  • How many "ways" should the DTXMania allow?

... ya, it's too troublesome to support :-)

2011-02-11 02:11 更新者: billkwando
コメント

My suggestion would be to make any POV direction count as 1 input/button. Since it's a very specific case for the guitar controller, and nobody is likely to use a real flight stick for DTXMania, some support is better than none. Just my opinion, of course.

2011-02-11 02:15 更新者: billkwando
コメント

Or only support 4/8 way. :)

2011-03-09 01:51 更新者: yyagi
コメント

FROMさんへ。

試しに4/8軸限定でPOV-HATボタンをサポートできないかなと思って簡単にコード書きしてみたのですが・・・ 何か動作がおかしい。

BufferedInput=OFFの時は期待しているパッド入力値がとれるのですが、 ONの時はPOVを押していないときも常に0が返ってきます(つまり常に0度方向に入力があると見なしてしまう。)

これ、やっぱり、SlimDXの問題ですよねぇ・・・。ついに私もSlimDXハックの世界に足を踏み入れることになるのか。

(English translations:)

I tried to support POV-HAT input (limited to 4/8 ways), but the result is not good.

In case BufferInput=OFF, it's OK. But if it is ON, SlimDX always returns zero. (It means you always pushing "0-degree" POV button.)

I have a doubt that it's SlimDX issue. OMG, finally I have to hack SlimDX....

2011-03-09 05:12 更新者: billkwando
コメント

Thanks yyagi!! :)

2011-03-10 03:24 更新者: yyagi
  • マイルストーン(未割り当て) から 既存機能の仕様変更 に更新されました
  • 担当者(未割り当て) から yyagi に更新されました
コメント

I fixed SlimDX issue about POV in rev132.

So now I'm ready to modify DTXMania to support POV. Please give me a few days to support it.

2011-03-12 12:52 更新者: yyagi
コメント

billkwando,

Would you check the test version? tp://yyagi.com/DTXMania088_Test_POVsupported.zip

(only 4/8 ways are support.)

2011-03-12 14:28 更新者: billkwando
コメント

Yup! I'll check it out and let you know. :)

2011-03-22 02:05 更新者: yyagi
  • チケットの種類バグ から 機能リクエスト に更新されました
2011-03-22 02:44 更新者: None
コメント

Oh yeah, sorry for the delay. I will test this tonight, if it kills me.

2011-03-22 02:45 更新者: billkwando
コメント

says Billkwando

2011-03-22 23:39 更新者: yyagi
コメント

If you have to downlaod test module, please try the alternative link:

tp://www2s.biglobe.ne.jp/~yyagi/temp/DTXMania088_Test_POVsupported.zip

Due to the massive earthquake in Japan, a power failure occurs everyday in Tokyo area. So my web server (yyagi.com) in my home doesn't work now. (I'll move my webservices into some VPS service soon)

2011-03-23 00:12 更新者: billkwando
コメント

Yeah, I didn't know if it was appropriate to mention the earthquake, but now that you bring it up...

Our thoughts and prayers are with you here in the USA, and we wish all of Japan the best!! We hope for a speedy recovery and repaired reactors, and we mourn the loss of life.

2011-03-24 03:32 更新者: billkwando
コメント

I forgot to tell you, I tested it last night, and the POV works fine!

You have to map it twice (once for Pick up, and once for Pick down) otherwise it only registers one way, but it's working!

Thanks!!!!!!

2011-03-30 02:04 更新者: yyagi
コメント

Oh, thanks! I'll include POV support in the next version.

2011-04-01 01:36 更新者: yyagi
  • チケット完了時刻2011-04-01 01:36 に更新されました
  • 状況オープン から 完了 に更新されました
  • 解決法なし から 修正済み に更新されました
  • コンポーネント(未割り当て) から SlimDX に更新されました
  • チケットの種類機能リクエスト から 仕様変更リクエスト に更新されました
コメント

I released 089 just now. It contains POV support. I close this ticket. Thanks.

2011-04-03 05:30 更新者: yyagi
  • コンポーネントSlimDX から DTXMania に更新されました

添付ファイルリスト

添付ファイルはありません

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする